Skip to main content
PATCH
Update Alert Webhook
Applies to BloodHound Enterprise Only

Authorizations

Authorization
string
header
required

Authorization: Bearer $JWT_TOKEN

Headers

Prefer
string
default:wait=30

Prefer header, used to specify a custom timeout in seconds using the wait parameter as per RFC7240. Passing in wait=-1 bypasses all timeout limits when the feature is enabled.

Pattern: ^wait=(-1|[0-9]+)$

Path Parameters

alert_webhook_id
string<uuid>
required

ID of an alert webhook. uuidv4

Body

application/json

Partial update for an alert webhook. At least one field is required. Only fields present in the request body are modified.

name
string
description
string
url
string<uri>
type
enum<string>
Available options:
generic,
slack,
ms-teams
disabled
boolean

Set to true to disable the webhook (populates disabled_at/disabled_by), false to re-enable.

Response

OK

data
object